Name:           owncloud
Version:        3.0.1
Release:        1%{?dist}
Summary:        Private file sync and share server

License:        AGPLv3 and MIT
URL:            http://owncloud.org
Source0:        http://owncloud.org/releases/%{name}-%{version}.tar.bz2
Source1:        %{name}.conf
Source2:        %{name}-config.php
Patch0:         %{name}-fedora-phpfixes.patch

BuildArch:      noarch

Requires:       httpd
# PHP dependencies
Requires:       php php-gd php-mbstring php-pdo php-posix php-xml
# PHP PEAR dependencies
Requires:       php-pear php-pear-Crypt-Blowfish php-pear-MDB2-Driver-mysqli
Requires:       php-pear-MDB2-Driver-pgsql php-pear-MDB2-Driver-sqlite
Requires:       php-pear-MDB2-Schema php-pear-Net-Curl php-pear-XML-Parser
# SabreDAV
Requires:       php-sabredav-Sabre_CalDAV php-sabredav-Sabre_CardDAV
Requires:       php-When

# Bundled 3rdparty libs missing in Fedora
## JS (mainly jQuery plugins)
# https://github.com/harvesthq/chosen/
# http://fgelinas.com/code/timepicker
# http://arshaw.com/fullcalendar/


%description
ownCloud Server provides you a private file sync and share cloud. Host this
server to easily sync business or private documents across all your devices, and
share those documents with other users of your ownCloud server on their devices.


%prep
%setup -q -n %{name}
%patch0 -p1


%build
# Nothing to build


%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}

# Strip bundled libraries
rm -rf 3rdparty/Console 3rdparty/Crypt_Blowfish 3rdparty/MDB2 3rdparty/PEAR \
    3rdparty/Sabre 3rdparty/when 3rdparty/XML
rm 3rdparty/MDB2.php 3rdparty/PEAR.php 3rdparty/Sabre.includes.php \
    3rdparty/System.php

# Copy all content
cp -pr * $RPM_BUILD_ROOT%{_datadir}/%{name}

# symlink config dir
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/config
ln -sf %{_sysconfdir}/%{name} $RPM_BUILD_ROOT%{_datadir}/%{name}/config

install -Dpm 644 %{SOURCE2} \
    $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/config.php

install -Dpm 644 %{SOURCE1} \
    $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/%{name}.conf

install -dm 755 $RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}

%files
%doc AUTHORS COPYING-AGPL COPYING-README README
%dir %attr(0755,apache,apache) %{_sysconfdir}/%{name}
%config(noreplace) %attr(0755,apache,apache) %{_sysconfdir}/%{name}/config.php
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{name}.conf
%{_datadir}/%{name}
%dir %attr(0755,apache,apache) %{_localstatedir}/lib/%{name}

%changelog
* Fri Apr 06 2012 Felix Kaechele <heffer@fedoraproject.org> - 3.0.1-1
- initial package

